(function(mui,document) {
	mui.init({
		swipeBack:false,
		keyEventBind: {
			backbutton: true,
			menubutton: false //不允许使用android自带的返回键
		}
	});
	
	initApp();
	
	document.getElementById("login").addEventListener("tap",function(){
		//清空localStorage中的serversPatientName、serversPatientId、serverPatientAge、serverPatientBedCode
		if(loginType=="L"){
			var userId = document.getElementById("account").value ;
			if(userId == "")
			{
				showInfo("提示","手机号不能为空！") ;
				return  ;
			}
			var password = document.getElementById("password").value ;
			if(password == "")
			{
				showInfo("提示","密码不能为空！") ;
				return ;
			}
			var gpsp = userId + "=;=" + hex_md5(password) +"=;=C"
			gpsp = Base64.encode(gpsp) ;
			document.getElementById("gpsp").value = gpsp ;
			localStorage.PDIS_W_gpsp = gpsp ;
			var _lgpsp = userId + "," + password ;
			localStorage.setItem("PDIS_W____localgpsp_",Base64.encode(_lgpsp)) ;
		}else if(loginType=="V"){
			var userId = document.getElementById("phone").value ;
			var regExp = /^1[34578]\d{9}$/ ;
			if (userId == "") {
				showInfo("提示","手机号不能为空！") ;
				return  ;
			}else if(!regExp.test(userId)){
				showInfo("提示","手机号有误，请重填！") ;
		        return ; 
		    } 
			var peopelVerCode = $("#vercode").val();
			if(peopelVerCode==""){
				showInfo("提示","请输入手机验证码！") ;
				return;
			}
			if(islongTime=="Y"){
				showInfo("提示","验证码失效,请重新获取！") ;
	  			return ;
	  		}
			if(peopelVerCode!=verCode){
				showInfo("提示","验证码输入错误,请重新输入！") ;
				return ;
			}
			var gpsp = userId + "=;=" + hex_md5(peopelVerCode) +"=;=C"
			gpsp = Base64.encode(gpsp) ;
			document.getElementById("gpsp").value = gpsp ;
			localStorage.PDIS_W_gpsp = gpsp ;
			var _lgpsp = userId + "," + peopelVerCode ;
			localStorage.setItem("PDIS_W____localgpsp_",Base64.encode(_lgpsp)) ;
		}
		initApp();
		
		var param = new Object() ;
		if(localStorage.PDIS_W__latitude != null && localStorage.PDIS_W__latitude != "")
		{
			param.latitude = localStorage.PDIS_W__latitude ;
			param.longitude = localStorage.PDIS_W__longitude ;
		}
		param.clientId = plus.push.getClientInfo().clientid ;
		param.os = plus.os.name ;
		param.loginType = loginType;
		sendData("wap.frame!login2.sh",param,function(data){
			if(data.msgType == "failure")
			{
				mui.toast(data.msgStr) ;
				return ;
			}
			
			localStorage.PDIS_W_resURL = data.resUrl ;
			localStorage.PDIS_W___serverClientVersion = data.lastVersion ;
			//包含了资源服务器的地址
//			localStorage.PDIS_W_headImg = data.data.headImg ;
			localStorage.PDIS_W__complaintId = data.data.complaintId ;
			localStorage.PDIS_W__realName = data.data.realName ;
			localStorage.PDIS_W__idCard = data.data.idCare ;
			localStorage.PDIS_W__userId = data.data.userId ;
			localStorage.PDIS_W__userName = data.data.mobile ;
			localStorage.PDIS_W__imJs = data.imJs ;
			localStorage.PDIS_W__imUrl = data.imUrl ;
			localStorage.PDIS_W__occup = data.occup ;
			mui.toast("登录成功") ;
			toShowWindow("mainPage","../main/main.html") ;
			//登录成功设置验证码失效
			islongTime="Y";
			verCode="";
			//登录成功
			$("#sendSmsBtn").html("获取验证码");
			$("#sendSmsBtn").removeAttr("disabled");
			window.clearInterval(timetask);
			$("#vercode").val("");
			//设置页面刷新
			mui.fire(plus.webview.getWebviewById("../setting/setting.html"),"refresh") ;
		},{
			checkLogin:false,
			plusWaiting:true,
			waitingTitle:'登录中，请稍候...'
		}) ;
	}) ;
	
	mui.plusReady(function(){
		plus.nativeUI.closeWaiting() ;
		//仅支持竖屏显示
		if(localStorage.PDIS_W____lockScreen == "true")
			plus.screen.lockOrientation("portrait-primary");
		//屏幕常亮
		if(localStorage.PDIS_W____lockWake == "true")
			plus.device.setWakelock(true);
		//全屏
		if(localStorage.PDIS_W____fullScreen == "true")
			plus.navigator.setFullscreen(true) ;
	}) ;
	
	//是否自动登陆
	document.getElementById("autoLogin").addEventListener("toggle",function(event){
	  if(event.detail.isActive){
	    localStorage.PDIS_W_AUTO_LOGIN = 'true' ;
	  }else{
	    localStorage.PDIS_W_AUTO_LOGIN = 'false' ; 
	  }
	}) ;
	
	//首页返回键处理
	//处理逻辑：1秒内，连续两次按返回键，则退出应用；
//	var first = null;
//	mui.back = function() {
//		plus.webview.currentWebview().close() ;
//		//首次按键，提示‘再按一次退出应用’
//		if (!first) {
//			first = new Date().getTime();
//			mui.toast('再按一次退出应用');
//			setTimeout(function() {
//				first = null;
//			}, 1000);
//		} else {
//			if (new Date().getTime() - first < 1000) {
//				plus.runtime.quit();
//			}
//		}
//	};
	
	
	mui.back = function(){
		plus.webview.currentWebview().close("auto") ;
	}
	
	//默认用户名、密码
	var lgpsp = localStorage.getItem("PDIS_W____localgpsp_") ;
	if(lgpsp != null && lgpsp != "")
	{
		var str = Base64.decode(lgpsp).split(",") ;
		document.getElementById("account").value = str[0] ;
		document.getElementById("password").value = str[1] ;
	}
	
	//选中并自动登陆
	if(localStorage.PDIS_W_AUTO_LOGIN == 'true')
	{
		document.getElementById("autoLogin").classList.add("mui-active") ;
		window.setTimeout(function(){
			mui.trigger($id("login"),'tap') ;
		},1000) ;
	}
	
	document.addEventListener("pause",function(){
		//showInfo("提示","应用从前台切换到后台") ;
	}, false );
	document.addEventListener("resume",function(){
		//showInfo("提示","应用从后台切换到前台") ;
	}, false );
	
	document.getElementById("settingBtn").addEventListener("tap",function(){
		toOpenWindow("loginSetting","loginSeting.html") ;
	}) ;
	
	document.getElementById("registerDiv").addEventListener("tap",function(){
		toOpenWindow("createComplaint","../../createComplaint/createComplaint.html") ;
	}) ;
	//登录类型 L账号登录 V验证码登录
	var loginType="L";
	//验证码登录
	document.getElementById("loginTypeBtn").addEventListener("tap",function(){
		if(loginType=="L"){
			$("#verCodeLoginBtn").show();
			$("#userLoginDiv").hide();
			loginType="V";
			$("#loginTypeBtn").html("账号登录");
		}else if(loginType=="V"){
			$("#userLoginDiv").show();
			$("#verCodeLoginBtn").hide();
			loginType="L";
			$("#loginTypeBtn").html("验证码登录");
		}
		
	}) ;
	document.getElementById("sendSmsBtn").addEventListener("tap",function(){
		sendMessage();
	})
	//是否超时
	var islongTime="";
	//验证码
	var verCode="";
	var timetask ;
	//发送短信获取验证码
	function sendMessage(){
		//手机号码
		var phone = $("#phone").val();
		var regExp = /^1[34578]\d{9}$/ ;
		if (phone == "") {
			mui.toast("手机号不能为空");
			return  ;
		} else if(!regExp.test(phone)){ 
			mui.toast("手机号有误，请重填");
	        return ; 
	    } 
	    //设置计时
	  	var time = 60;
	  	timetask = setInterval(function(){
	  		$("#sendSmsBtn").html(time+"秒");
	  		time--;
	  		if(time==0){
	  			window.clearInterval(timetask);
	  			$("#sendSmsBtn").removeAttr("disabled");
	  			$("#sendSmsBtn").html("重新发送");
	  		}
	  	},1000);
		//设置获取验证码按钮 失效
		$("#sendSmsBtn").attr("disabled","true");
		//访问后台获取
		var param = new Object();
		param.phoneNum = phone;
		param.verCode = verCode;
		sendData("web.login!getVercode.sh",param,function(data){
			if(data.verCode==verCode){
				islongTime="N";
			}else{
				//验证码失效，重新发送新的验证码
				islongTime="";
			}
			//获取验证码
			verCode = data.verCode;
			startFun();
		},{
			isSilence:true
		})
	}
	function startFun(){
		//获取新获取验证码后开始计算
		if(islongTime==""){
			//设置验证码失效 10分钟
			setTimeout(function(){
				islongTime="Y";
				verCode="";
			},600000);
		}
	}
})(mui,document);

