initApp() ;

mui.ready(function() {
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005,
		bounce:false
	});
	loadMap() ;
	listPage();
});

mui.plusReady(function(){
	
}) ;

function loadMap()
{
	getPosition();
	var latitude = localStorage.PDIS_W__latitude ;
	var longitude = localStorage.PDIS_W__longitude ;
	if(latitude == null || latitude == "")
	{
		longitude = 107.98535257 ;
		latitude = 26.58399177 ;
	}
		
	window.map = new BMap.Map("mapDiv");
	var point = new BMap.Point(longitude, latitude);
	map.centerAndZoom(point, 15);

	var navigation = new BMap.NavigationControl({type:BMAP_NAVIGATION_CONTROL_ZOOM,anchor:BMAP_ANCHOR_BOTTOM_RIGHT,enableGeolocation: true });
	map.addControl(navigation);
	
	var geolocationControl = new BMap.GeolocationControl();
	geolocationControl.addEventListener("locationSuccess", function(e){
//		setCurrentPoint() ;
//		map.center(point) ;
	}) ;
	
	
	map.addControl(geolocationControl);
	
	updateCurLocation() ;
}
mui(".title").on("tap","#more",function(){
	var href="../../systemNotice/systemNotice.html";
	toShowWindow(href,href);
});

function getPosition() {
	var geolocation = new BMap.Geolocation();
	geolocation.getCurrentPosition(function(result) {
		if (this.getStatus() == BMAP_STATUS_SUCCESS) {
			longitude = result.point.lng;
			latitude = result.point.lat;
			localStorage.PDIS_W__latitude = latitude;
			localStorage.PDIS_W__longitude = longitude;
		}
	});
//	return {"lng":longitude, "lat":latitude};
}

window.addEventListener('refreshCurPosition',function(event){
  updateCurLocation() ;
});

function updateCurLocation()
{
	var latitude = localStorage.PDIS_W__latitude ;
	var longitude = localStorage.PDIS_W__longitude ;
	var point = new BMap.Point(longitude, latitude);
	if(latitude == null || latitude == "")
	{
		longitude = 107.98535257 ;
		latitude = 26.58399177 ;
	}

	var convertor = new BMap.Convertor();
	var pointArr = [];
	pointArr.push(point);
	convertor.translate(pointArr, 1, 5, function (data){
		if(data.status === 0)
		{
			var point = data.points[0] ;
			
			map.setCenter(point) ;
			map.clearOverlays();
			var marker = new BMap.Marker(point);
			map.addOverlay(marker);
			marker.setAnimation(BMAP_ANIMATION_BOUNCE);
	
			var geoc = new BMap.Geocoder();
			geoc.getLocation(point, function(rs){
				var addComp = rs.addressComponents;
				var str = "您的位置：" ;
				str += addComp.city + addComp.district + addComp.street + addComp.streetNumber ;
				localStorage.adder= addComp.city + addComp.district + addComp.street + addComp.streetNumber;
				document.getElementById("curPositionText").innerHTML = str ;
			});
		}
	}) ;
}

document.getElementById("reportEventBtn").addEventListener("tap",function(){
	var href ="../../createWorkorder/createWorkorder.html";
	if(hasLogin() == false){
		toLoginPage("../../") ;
	}else{
		toShowWindow(href,href);
	}
}) ;

document.getElementById("appealEventBtn").addEventListener("tap",function(){
	var href ="../../appealWorkorder/appealTypeDept-head.html";
	if(hasLogin() == false){
		toLoginPage("../../") ;
	}else{
		toShowWindow("appealTypeDept-head.html",href);
	}
}) ;

//起始记录数
var curPageNum = 1 ;
var everyLoadNum = 2 ;
//查询列表分页页面
function listPage(){
	var obj = new Object();
	obj.curPageNum = curPageNum ;
	obj.everyLoadNum = everyLoadNum ;
	sendData("wap.question!getNoticeList.sh",obj,function(data){
		if(data.length>0){
			var dataStr="";
			for(var i=0;i<data.length;i++){
				dataStr +=
				"<li class='mui-table-view-cell question' id='"+data[i].questionId+"'>"+
					"<a class = 'mui-ellipsis-2'>"+
						data[i].questionName +
					"</a>"+
				'</li>';
			}
		}
		$("#dataList").append(dataStr);
		afterLoadData();
	});
}

function afterLoadData(){
	/*mui(".mui-table-view").off("tap",".question");
	mui(".mui-table-view").on("tap",".question",function(){
		var id = this.getAttribute("id");
		localStorage.questionId=id;
		toShowWindow("qusertionInfo","../../questionDetails/questionInfo.html");
	});*/
}
