function initIM()
{
	if(localStorage.PDIS_W__imJs == null || localStorage.PDIS_W__imJs == "")
		return ;
	window.ssync = new SSync() ;
	toconnect() ;
	
	//监听收到的消息
	ssync.on("msg",function(data){
		//普通的消息记录
		if(data.msgType == "text")
		{
			var msgObj = getJSONObj(data.message) ;
//			processPushNotify(data.message) ;
			var desc = msgObj.dataDesc ;
			if(desc == null || desc == "")
				desc = "您收到新消息!" ;
			plus.push.createMessage(desc,data.message,{
				title:msgObj.dataTitle,
				sound:"system"
			});
		}
	}) ;
}

//连接服务器
function toconnect()
{
	var userId = localStorage.PDIS_W__userId ;
	if(userId == "")
	{
		return ;
	}
	//连接URL
	ssync.url = localStorage.PDIS_W__imUrl ;
	//登陆用户
	ssync.userId = userId ;
	//应用编号
	ssync.topicId = "pdis" ;
	//来源
	ssync.source = "M" ;
	//请求连接
	ssync.connect() ;
}

//发送文本消息
function sendMsg(msg,toUserId)
{
	if(msg == "")
	{
		alert("请输入消息内容") ;
		return ;
	}
	//接收消息的用户编号
	if(toUserId == "")
	{
		alert("接收用户不能为空") ;
		return ;
	}
	//构造发送的消息对象
	var obj = new SSyncMessage() ;
	obj.message = msg ;
	obj.toUserId = toUserId ;
	//扩展参数，会在返回接收消息中获取到
	if(ssync.sendText(obj) == false)
	{
		alert("消息发送失败") ;
		return ;
	}
}

//断开连接
function disconnect()
{
	if(ssync != null)
		ssync.close() ;
}

function getJSONObj(str)
{
	if(str == null || str == "")
		return null ;
	try{
		return JSON.parse(str);
	}catch(e){
		return null ;
	}
}