initApp() ;

mui.ready(function() {
	//即时通讯插件
	document.getElementById("imJsScript").src = localStorage.PDIS_W__imJs ;
});

var subpages = ['main-content.html', 'police-content.html',"question.html"];
var subpage_style = {
	top: '45px',
	bottom: '51px'
};
var subWebviewObj = new Object();
var targetTab="";


mui.plusReady(function(){
	pushListener() ;
	
	targetTab = subpages[0];
	var self = plus.webview.currentWebview();
	var sub = plus.webview.create(targetTab, targetTab, subpage_style);
	subWebviewObj[targetTab] = sub;
	self.append(sub);
	
	//仅支持竖屏显示
	if(localStorage.PDIS_W____lockScreen == "true")
		plus.screen.lockOrientation("portrait-primary");
	//屏幕常亮
	if(localStorage.PDIS_W____lockWake == "true")
		plus.device.setWakelock(true);
	//全屏
	if(localStorage.PDIS_W____fullScreen == "true")
		plus.navigator.setFullscreen(true) ;
	
	window.setTimeout(function(){
		_checkUpdateWgt(false) ;
	},1000) ;
	
	positionListener() ;
	
	window.setTimeout(function (){initIM();},1500) ;
}) ;

mui('.mui-bar-tab').on('tap', 'a', function(e) {
	var thisTab = this.getAttribute("href");
//	var pageName = $("#navName").val() ;
	
	if(thisTab == targetTab)
		return ;
	
	var createNew = this.getAttribute("createNew") ;
	if(createNew == 'true')
	{	
//		localStorage.pageName = pageName ;
		toShowWindow(thisTab,thisTab) ;
		return ;
	}
	$("#navName").val(thisTab) ;
	
	targetTab = thisTab ;
	 //隐藏其他
	for (var i = 0; i < subpages.length; i++) 
	{
		if (subpages[i] != targetTab) 
		{
			if(subWebviewObj[subpages[i]] != null)
				subWebviewObj[subpages[i]].hide();
			continue ;
		}
		//显示选择
		toShowOrCreateWebview(targetTab,subpage_style,subWebviewObj) ;
	}
}) ;

//跳转页面
mui(".mui-grid-view").on("tap","a",function(){
	var href=this.getAttribute("url");
	if(href==null || href==""){
		mui.toast("未实现");
		return ;
	}
	toShowWindow(href,href);
});


//首页返回键处理
//处理逻辑：1秒内，连续两次按返回键，则退出应用；
var first = null;
mui.back = function() {
	//首次按键，提示‘再按一次退出应用’
	if (!first) {
		first = new Date().getTime();
		mui.toast('再按一次退出应用');
		setTimeout(function() {
			first = null;
		}, 1000);
	} else {
		if (new Date().getTime() - first < 1000) {
			plus.runtime.quit();
		}
	}
};


var lastUpdatePositionTime = 0 ;
/**
 * 监听事件变化
 */
function positionListener()
{
	if(localStorage.PDIS_W__latitude == null)
	{
		localStorage.PDIS_W__latitude = "" ;
		localStorage.PDIS_W__longitude = "" ;
	}
	plus.geolocation.watchPosition( function ( p ) {
		//alert( "Geolocation\nLatitude:" + p.coords.latitude + "\nLongitude:" + p.coords.longitude + "\nAltitude:" + p.coords.altitude );
		
		var latitude = p.coords.latitude ;
		var longitude = p.coords.longitude ;
		if(localStorage.PDIS_W__latitude == latitude && localStorage.PDIS_W__longitude == longitude)
			return ;
		localStorage.PDIS_W__latitude = latitude ;
		localStorage.PDIS_W__longitude = longitude ;
		mui.fire(plus.webview.getWebviewById("main-content.html"),'refreshCurPosition') ;
		var curTime = new Date().getTime() ;
		//如果更新时间间隔小于60秒，则取消当次更新，以缓解服务器压力
		if((curTime-lastUpdatePositionTime) < 1000*60)
			return ;
		if(hasLogin() == false)
			return ;
		lastUpdatePositionTime = new Date().getTime() ;
		var param = new Object() ;
		param.userId = localStorage.PDIS_W__userId ;
		param.latitude = latitude ;
		param.longitude = longitude ;
		param.clientId = plus.push.getClientInfo().clientid ;
		param.os = plus.os.name ;
		sendData("wap.frame!updatePosition2.sh",param,function(data){},{
			isSilence:true
		}) ;
	}, function ( e ) {
	},{provider:'baidu'}); 
}

//监听推送消息
function pushListener()
{
	//从系统消息中心点击消息启动应用事件
	plus.push.addEventListener( "click", function ( msg ) {
		// 分析msg.payload处理业务逻辑 
//		alert( "You clicked: " + msg.payload ); 
		processPushNotify(msg.payload) ;
	}, false );
	
	//应用从推送服务器接收到推送消息事件 iOS如果当前正在此APP时，不会有通知，而是直接通用在这个方法
	plus.push.addEventListener( "receive", function ( msg ) {
		// 分析msg.payload处理业务逻辑 
//		for(var i in msg.payload)
//		{
//			alert(i + "=" + msg.payload[i]) ;
//		}
		//收到通知时振动 这里主要是针对ios手机
//		plus.device.vibrate(500);
//		plus.nativeUI.alert( msg.content, function(){
//			
//		}, msg.title, "确认" );
		//如果是通过本地API创建的消息此属性值则为undefined
		if(msg.aps == undefined)
			return ;
		//因为IOS在启动应用时推送消息不会送到消息中心，所以这里创建本地消息
		plus.push.createMessage(msg.content,JSON.stringify(msg.payload),{
			title:msg.title,
			sound:"system"
		});
		
	}, false );
}

/**
 * 处理推送消息
 * @param {Object} str
 */
function processPushNotify(str)
{
	var msgObj = getJSONObj(str) ;
	if(msgObj == null)
		return ;
	var type = msgObj.type ;
	if(type == null || type == "")
		return ;
	if(type == "complaint")
	{
		var workOrderId = msgObj.workOrderId ;
		var complaintId = msgObj.complaintId ;
		
		localStorage.workorderId=workOrderId;
		//跳转到页面
		toShowWindow("worklorderInfo","../../workorderDetails/workorderInfo.html");
		
	}
}

//自定义事件 (在设置页面点击返回时，选中点击个人中心前点击的页面)
window.addEventListener("checked", function(){
	mui(".mui-tab-item").each(function(){
//		var pageName = localStorage.pageName;
		var pageName = $("#navName").val() ;
		var hf = this.getAttribute("href");
		if (pageName == hf) {
			this.setAttribute("class","mui-tab-item mui-active");
		} else {
			this.setAttribute("class","mui-tab-item");
		}
	});
});

function getJSONObj(str)
{
	if(str == null || str == "")
		return null ;
	try{
		return JSON.parse(str);
	}catch(e){
		return null ;
	}
}